/*
  Copyright (C) 2012  Philipp Kaelin

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

#include "Hardware.h"
#include "Hardware_HwDefs.h"

//=============================================================================
// MOTOR
//=============================================================================
void Motor::init() {
  MOTOR_B_DIRECTION |= (1 << MOTOR_B_PINNBR); 
  MOTOR_A_DIRECTION |= (1 << MOTOR_A_PINNBR);
}

//-----------------------------------------------------------------------------
void Motor::left() {
  MOTOR_B_OUT &= ~(1 << MOTOR_B_PINNBR); 
  MOTOR_A_OUT |= (1 << MOTOR_A_PINNBR);
}

//-----------------------------------------------------------------------------
void Motor::right() {
  MOTOR_A_OUT &= ~(1 << MOTOR_A_PINNBR); 
  MOTOR_B_OUT |= (1 << MOTOR_B_PINNBR);
}

//-----------------------------------------------------------------------------
void Motor::stop() {
  MOTOR_B_OUT &= ~(1 << MOTOR_B_PINNBR); 
  MOTOR_A_OUT &= ~(1 << MOTOR_A_PINNBR);
}


//=============================================================================
// LED
//=============================================================================
void Led::init() {
  LED_READY_DIRECTION |= (1 << LED_READY_PINNBR);
  LED_HEATING_DIRECTION |= (1 << LED_HEATING_PINNBR);
}

//-----------------------------------------------------------------------------
void Led::ready(bool OnOff) {
  if (OnOff) {
    LED_READY_OUT |= (1 << LED_READY_PINNBR);
  } else {
    LED_READY_OUT &= ~(1 << LED_READY_PINNBR);
  }
}

//-----------------------------------------------------------------------------
void Led::heating(bool OnOff) {
  if (OnOff) {
    LED_HEATING_OUT |= (1 << LED_HEATING_PINNBR);
  } else {
    LED_HEATING_OUT &= ~(1 << LED_HEATING_PINNBR);
  }
}

//-----------------------------------------------------------------------------
void Led::error(bool OnOff) {
  if (OnOff) {
    LED_ERROR_OUT |= (1 << LED_ERROR_PINNBR);
  } else {
    LED_ERROR_OUT &= ~(1 << LED_ERROR_PINNBR);
  }
}


//=============================================================================
// HEATING
//=============================================================================
void Heating::init() {
  HEATING_DIRECTION |= (1 << LED_HEATING_PINNBR);
}

//-----------------------------------------------------------------------------
void Heating::heat(bool OnOff) {
  if (OnOff) {
    HEATING_OUT |= (1 << LED_HEATING_PINNBR);
  } else {
    HEATING_OUT &= ~(1 << LED_HEATING_PINNBR);
  }
}
