/*
  Copyright (C) 2012  Philipp Kaelin

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

/**
 * \author    Philipp Kaelin
 * \date      created:  2012/02/01 <br>
 *            modified: 2012/02/01
 * \brief     Defines used Hardware for the Toaster
 */
 
#ifndef HARDWARE_H_
#define HARDWARE_H_
 
namespace Motor {
  /** Init the hardware Pins */
  void init();

  /** Spin motor counter clcokwise */
  void left();
  /** Spin motor clockwise */
  void right();
  /** Stop motor spin */
  void stop();
}

namespace Led {
  /** Init the hardware Pins */
  void init();

  /** Ready LED */
  void ready(bool OnOff);
  /** Heating on LED */
  void heating(bool OnOff);
  /** Error LED */
  void error(bool OnOff);
}

namespace Heating {
  /** Init the hardware Pins */
  void init();
  
  /** Heat the toast */
  void heat(bool OnOff);
}
 
#endif //HARDWARE_H_
