/*
  Copyright (C) 2012  Philipp Kaelin

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

/**
 * \author    Philipp Kaelin
 * \date      created:  2012/02/01 <br>
 *            modified: 2012/02/01
 * \brief     Defines the Hardware Pins for the toaster
 */
#ifndef MOTOR_HWDEFS
#define MOTOR_HWDEFS

#include <avr/io.h>

namespace Motor {
  #define MOTOR_A_DIRECTION     DDRA
  #define MOTOR_A_OUT           PORTA
  #define MOTOR_A_PINNBR        1
  
  #define MOTOR_B_DIRECTION     DDRA
  #define MOTOR_B_OUT           PORTA
  #define MOTOR_B_PINNBR        2
}

namespace Led {
  #define LED_READY_DIRECTION   DDRB
  #define LED_READY_OUT         PORTB
  #define LED_READY_PINNBR      1

  #define LED_HEATING_DIRECTION DDRB
  #define LED_HEATING_OUT       PORTB
  #define LED_HEATING_PINNBR    2
  
  #define LED_ERROR_DIRECTION   DDRB
  #define LED_ERROR_OUT         PORTB
  #define LED_ERROR_PINNBR      3
}
 
namespace Heating {
  #define HEATING_DIRECTION     DDRC
  #define HEATING_OUT           PORTC
  #define HEATING_PINNBR        1
}

#endif
