/*
  Copyright (C) 2011  Philipp Kaelin

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

/**
 * \author    Philipp Kaelin
 * \date      created:  2011/11/13 <br>
 *            modified: 2011/11/13
 * \brief     This is the base class from which all the states of the fsm should be inherited
 * \defgroup  State
 */
#ifndef STATE_H_
#define STATE_H_

class State {
  public:
    virtual void entryAction() = 0;
    virtual void exitAction() = 0;
    virtual void tickAction() = 0;
};


#endif /* STATE_H_ */
